
Redmine - Feature #31395

Make the footer of the 'Powered by Redmine' line user changeable.
Description

In the case of in-house operation, it may be instructed to display the management department / responsible person name display in

the footer.

It can be dealt with by modifying the source code, but I think that it is desirable to be able to set it from the Web administration

screen.

In the case of SaaS etc., it seems that there may be a case where it wants to display a company name.

It should be set separately from the current copyright.

(Copyright is the default setting)

Currently, it is supported by modifying the source code of the following part.

app/views/layouts/base.html.erb

 <div id="footer">

  <div class="bgl"><div class="bgr">

    Powered by <%= link_to Redmine::Info.app_name, Redmine::Info.url %> &copy; 2006-2019 Jean-Phil

ippe Lang

  </div></div>

History

#1 - 2019-05-19 17:54 - Yuuki NARA

Excuse me, but please change it because the subject was incorrect

From

Make the footer of the 'Powered by Redmine' line user selectable.

 To

Make the footer of the 'Powered by Redmine' line user changeable.

#2 - 2019-05-19 17:57 - Marius BĂLTEANU

- Subject changed from Make the footer of the 'Powered by Redmine' line user selectable. to Make the footer of the 'Powered by Redmine' line user

changeable.

#3 - 2019-05-20 22:51 - Yuuki NARA

Thank you for your response.

#4 - 2021-03-26 10:50 - Heiko Robert

Isn't that a (missing) feature of a specific theme?

Easy and clean solution would be to create a new custom theme which imports from the redmine default theme and then just overwrites / extents

what should be changed? e.g.

#footer { display: none;}

 If this simple solution is unwelcome, there are still commercial themes for redmine which support some customizing from the redmine admin.
#5 - 2021-03-26 17:15 - Bernhard Rohloff

- Category set to UI

Heiko Robert wrote:

Isn't that a (missing) feature of a specific theme?

Easy and clean solution would be to create a new custom theme which imports from the redmine default theme and then just overwrites / extents

what should be changed? e.g.

[...]

If this simple solution is unwelcome, there are still commercial themes for redmine which support some customizing from the redmine admin.

 The content of the footer is not part of a theme, therefore it cannot be changed. Perhaps the best solution would be to move the footer into a separate

partial view which can be overridden by a plugin.

#6 - 2021-11-23 16:03 - Yuuki NARA

- File redmine-footer-rewrite-unofficial.png added

It was supported by using the view customization plugin and setting the CSS.

Please refer to the link below for the contents.

https://redmine.tokyo/issues/1304#note-10

Since it is CSS, there is a restriction that it is not displayed at the time of printing and it is not possible to attach a URL link.

This method requires the view customize plugin.

https://github.com/onozaty/redmine-view-customize

sample site（sorry ,Japanese only site）

http://demo1.unofficial-redmine.org/redmine
